List Center Metrics
GET
/users/{user_id}/insights/metrics
const url = 'https://example.com/users/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/insights/metrics';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/users/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/insights/metricsMetrics that can be placed at the center of the insight graph (the picker list).
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”user_id
required
User Id
string format: uuid
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
Response List Center Metrics Users User Id Insights Metrics Get
Array<object>
CenterMetricA metric that can sit at the center of the insight graph.
object
key
required
Key
string
label
required
Label
string
unit
required
Unit
string
Examplegenerated
[ { "key": "example", "label": "example", "unit": "example" }]Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}